infra-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Henk Penning (JIRA)" <j...@apache.org>
Subject [jira] [Created] (INFRA-17959) certbot shouldn't use TLS-SNI-01
Date Tue, 05 Mar 2019 13:04:00 GMT
Henk Penning created INFRA-17959:
------------------------------------

             Summary: certbot shouldn't use TLS-SNI-01
                 Key: INFRA-17959
                 URL: https://issues.apache.org/jira/browse/INFRA-17959
             Project: Infrastructure
          Issue Type: Improvement
          Components: VM
         Environment: mirror-vm.a.o ; possibly others
            Reporter: Henk Penning


Letsencrypt deprecates tls-sni-01 for cert-renewal :
https://community.letsencrypt.org/t/how-to-stop-using-tls-sni-01-with-certbot/83210

On mirror-vm.a.o certbot(1) is version 0.17.0 ; this article
https://community.letsencrypt.org/t/how-to-stop-using-tls-sni-01-with-certbot/83210
suggests to upgrade to 0.28 or higher ; then do :
sudo certbot renew --dry-run --preferred-challenges http-01,dns-01

Note that version 0.17.0 [current] can't do "--preferred-challenges http-01,dns-01".



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message